curl --location 'https://shantaweb.com/website/v1/blocks/catalog?page_type=' \
--header 'Accept-Language;' \
--header 'X-Website-ID;' \
--header 'X-Currency;' \
--header 'X-Source;' \
--header 'X-App-Platform;' \
--header 'X-App-Version;' \
--header 'Authorization: Bearer <token>'{
"status": 200,
"success": true,
"data": {
"blocks": [
{
"slug": "string",
"name": "string",
"module": "string",
"version": "string",
"category": "string",
"icon": "string",
"thumbnail_url": "string",
"description": "string",
"page_types": [
"string"
],
"supported_plans": [
"string"
],
"defaults": {
"property1": "string",
"property2": "string"
},
"schema": {
"property1": "string",
"property2": "string"
},
"presets": [
null
]
}
],
"palette_slugs": [
"string"
]
},
"meta": [
null
]
}